#!/bin/sh
# Script to compute the list of "net use" command required to map
# all the groupware shares of a user.

if [ $# -lt 1 ] ; then
	echo mapgroupware.sh user [ server ]
	exit 1
else
	if [ "$2" != "" ] ; then
		HOST=$2
	else
		HOST=`/sbin/vregistry --getvalue samba.netbiosname`
		if [ "$HOST" == "" ] ; then
			HOST=`hostname | tr . ' ' | (read a b; echo $a)`
		fi
	fi
	for share in `/sbin/vregistry --getvalue samba.shares`
	do
		path=`/sbin/vregistry --getvalue samba.share_path.$share`
		case $path in
		*/groupware/*)
			USERS=`/sbin/vregistry --getvalue samba.share_users.$share \
				samba.share_readlist.$share | tr , ' '`
			echo $share: $USERS
			for user in $USERS foo
			do
				if [ "$user" = "$1" ] ; then
					echo net use \* \\\\$HOST\\$share
					break
				fi
			done
			;;
		esac
	done
fi
